# Uses of Class
org.mariadb.jdbc.internal.util.dao.ServerPrepareResult

Packages that use ServerPrepareResult
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal.com.send
org.mariadb.jdbc.internal.failover
org.mariadb.jdbc.internal.failover.impl
org.mariadb.jdbc.internal.protocol
org.mariadb.jdbc.internal.util

## Uses of ServerPrepareResult in org.mariadb.jdbc

Fields in org.mariadb.jdbc declared as ServerPrepareResult
Modifier and Type
Field
Description
`protected ServerPrepareResult`
ServerSidePreparedStatement.`serverPrepareResult`

## Uses of ServerPrepareResult in org.mariadb.jdbc.internal.com.send

Methods in org.mariadb.jdbc.internal.com.send that return ServerPrepareResult
Modifier and Type
Method
Description
`ServerPrepareResult`
ComStmtPrepare.`read(PacketInputStream reader, boolean eofDeprecated)`
Read COM_PREPARE_RESULT.

## Uses of ServerPrepareResult in org.mariadb.jdbc.internal.failover

Methods in org.mariadb.jdbc.internal.failover with parameters of type ServerPrepareResult
Modifier and Type
Method
Description
`void`
Listener.`rePrepareOnReplica(ServerPrepareResult oldServerPrepareResult, boolean mustExecuteOnMaster)`

## Uses of ServerPrepareResult in org.mariadb.jdbc.internal.failover.impl

Methods in org.mariadb.jdbc.internal.failover.impl with parameters of type ServerPrepareResult
Modifier and Type
Method
Description
`void`
MastersFailoverListener.`rePrepareOnReplica(ServerPrepareResult oldServerPrepareResult, boolean mustExecuteOnReplica)`
`void`
MastersReplicasListener.`rePrepareOnReplica(ServerPrepareResult oldServerPrepareResult, boolean mustBeOnMaster)`

## Uses of ServerPrepareResult in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol that return ServerPrepareResult
Modifier and Type
Method
Description
`ServerPrepareResult`
AbstractQueryProtocol.`prepare(String sql, boolean executeOnMaster)`
Prepare query on server side.
`ServerPrepareResult`
Protocol.`prepare(String sql, boolean executeOnMaster)`
`ServerPrepareResult`
AbstractQueryProtocol.`putInCache(String key, ServerPrepareResult serverPrepareResult)`
`ServerPrepareResult`
Protocol.`putInCache(String key, ServerPrepareResult serverPrepareResult)`
Methods in org.mariadb.jdbc.internal.protocol with parameters of type ServerPrepareResult
Modifier and Type
Method
Description
`boolean`
AbstractQueryProtocol.`executeBatchServer(boolean mustExecuteOnMaster, ServerPrepareResult serverPrepareResult, Results results, String sql, List<ParameterHolder[]> parametersList)`
Execute Prepare if needed, and execute COM_STMT_EXECUTE queries in batch.
`boolean`
Protocol.`executeBatchServer(boolean mustExecuteOnMaster, ServerPrepareResult serverPrepareResult, Results results, String sql, List<ParameterHolder[]> parameterList)`
`void`
AbstractQueryProtocol.`executePreparedQuery(boolean mustExecuteOnMaster, ServerPrepareResult serverPrepareResult, Results results, ParameterHolder[] parameters)`
Execute a query that is already prepared.
`void`
Protocol.`executePreparedQuery(boolean mustExecuteOnMaster, ServerPrepareResult serverPrepareResult, Results results, ParameterHolder[] parameters)`
`void`
AbstractQueryProtocol.`prologProxy(ServerPrepareResult serverPrepareResult, long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`
`void`
Protocol.`prologProxy(ServerPrepareResult serverPrepareResult, long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`
`ServerPrepareResult`
AbstractQueryProtocol.`putInCache(String key, ServerPrepareResult serverPrepareResult)`
`ServerPrepareResult`
Protocol.`putInCache(String key, ServerPrepareResult serverPrepareResult)`
`void`
AbstractQueryProtocol.`releasePrepareStatement(ServerPrepareResult serverPrepareResult)`
Deallocate prepare statement if not used anymore.
`void`
Protocol.`releasePrepareStatement(ServerPrepareResult serverPrepareResult)`
Constructors in org.mariadb.jdbc.internal.protocol with parameters of type ServerPrepareResult
Modifier
Constructor
Description
``
`AbstractMultiSend(Protocol protocol, PacketOutputStream writer, Results results, ServerPrepareResult serverPrepareResult, List<ParameterHolder[]> parametersList, String sql, ThreadPoolExecutor readScheduler)`
Bulk execute for Server PreparedStatement.executeBatch (when no COM_MULTI)

## Uses of ServerPrepareResult in org.mariadb.jdbc.internal.util

Subclasses with type arguments of type ServerPrepareResult in org.mariadb.jdbc.internal.util
Modifier and Type
Class
Description
`final class`
`ServerPrepareStatementCache`
Methods in org.mariadb.jdbc.internal.util that return ServerPrepareResult
Modifier and Type
Method
Description
`ServerPrepareResult`
ServerPrepareStatementCache.`put(String key, ServerPrepareResult result)`
Associates the specified value with the specified key in this map.
Methods in org.mariadb.jdbc.internal.util with parameters of type ServerPrepareResult
Modifier and Type
Method
Description
`ServerPrepareResult`
ServerPrepareStatementCache.`put(String key, ServerPrepareResult result)`
Associates the specified value with the specified key in this map.